## org.eclipse.emf.edit.command
Class DragAndDropCommand.Detail

    java.lang.Object
      org.eclipse.emf.edit.command.DragAndDropCommand.Detail

Enclosing class:
  DragAndDropCommand

    public static class DragAndDropCommand.Detail

extends java.lang.Object

This class is used to encode the drag and drop arguments into an object that will be passed as the feature of a `CommandParameter`.

Field Summary
`float` `location`
`int` `operation`
`int` `operations`

Constructor Summary
`DragAndDropCommand.Detail(float location, int operations, int operation)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### location

    public float location

### operations

    public int operations

### operation

    public int operation

Constructor Detail

### DragAndDropCommand.Detail

    public DragAndDropCommand.Detail(float location,
                                     int operations,
                                     int operation)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.